Summary:        Implementation of an E-component of Network Intrusion Detection System
Name:           libnids
Version:        1.24
Release:    1%{?dist}
License:        GPLv2+
URL:            http://libnids.sourceforge.net/
Source0:        https://downloads.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
Source1:        https://downloads.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz.asc
Source2:        gpgkey-67E00C8AE6DEE3486468F6C6E20D29536F5C037F.gpg
Patch0:         libnids-1.24-inline.patch
Patch1:         libnids-configure-c99.patch
BuildRequires:  gnupg2
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  libnet-devel
BuildRequires:  glib2-devel
BuildRequires:  libpcap-devel
BuildRequires:  pkgconfig

%description
Libnids is an implementation of an E-component of Network Intrusion
Detection System. It emulates the IP stack of Linux 2.x and offers
IP defragmentation, TCP stream assembly and TCP port scan detection.

Using libnids, one has got a convenient access to data carried by a
TCP stream, no matter how artfully obscured by an attacker.

%package devel
Summary:        Development files for libnids
Requires:       %{name} = %{version}-%{release}

%description devel
This package package includes header files and libraries necessary
for developing programs which use the libnids library. It contains
the API documentation of the library, too.

%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%setup -q
%patch0 -p1 -b .inline
%patch1 -p1

%build
%configure --enable-shared
%make_build

%install
%make_install install_prefix=%{buildroot}
rm -f %{buildroot}%{_libdir}/libnids.a


%files
%license COPYING
%doc CHANGES CREDITS MISC README
%{_libdir}/libnids.so.*

%files devel
%doc doc/* samples/
%{_libdir}/libnids.so
%{_includedir}/nids.h
%{_mandir}/man3/libnids.3*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.24-1
- initial build
